{
  "codeName" : "Default",
  "controlType" : "SEARCHFORM",
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/MicroComponent/PSSEARCHFORMS/Default.json",
  "hookEventNames" : [ "SEARCH", "LOAD", "SAVE" ],
  "logicName" : "默认搜索表单",
  "mOSFilePath" : "psmodules/Sample/psdataentities/MICROCOMPONENT/psdeform_searchforms/Default",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/MicroComponent.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "SEARCH;LOAD;SAVE",
    "logicTag" : "searchform",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_searchform",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEFormPages" : [ {
    "getCapPSLanguageRes" : {
      "defaultContent" : "常规条件",
      "lanResTag" : "CONTROL.DEFORM.MICROCOMPONENT.DEFAULT.FORMPAGE.FORMPAGE1",
      "lanResType" : "CONTROL",
      "mOSFilePath" : "pslanguageres/Auto1993",
      "name" : "控件文本（CONTROL.*）[DEFORM.MICROCOMPONENT.DEFAULT.FORMPAGE.FORMPAGE1]",
      "rTMOSFilePath" : "pslanguageres/Auto1993",
      "refFlag" : true
    },
    "caption" : "常规条件",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "mOSFilePath" : "psdeformdetail_formpages/formpage1",
    "name" : "formpage1",
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/microComponentGridView/psappviewctrls/searchform",
  "searchButtonStyle" : "DEFAULT",
  "tabHeaderPos" : "TOP",
  "enableAdvanceSearch" : false,
  "enableAutoSearch" : false,
  "enableFilterSave" : false,
  "noTabHeader" : true,
  "modelid" : "977ab0c62a8e4d39f4fb2a7e3d350591",
  "modeltype" : "PSDEFORM_SEARCHFORM"
}